Skip to main content
GET
/
frameworks
List available frameworks
curl --request GET \
  --url https://api.vanta.com/v1/frameworks \
  --header 'Authorization: Bearer <token>'
{
  "results": {
    "data": [
      {
        "id": "soc2",
        "displayName": "SOC 2",
        "shorthandName": "SOC 2",
        "description": "AICPA standardized framework to prove a company’s security posture to prospective customers. For all US and international businesses.",
        "numControlsCompleted": 43,
        "numControlsTotal": 86,
        "numDocumentsPassing": 7,
        "numDocumentsTotal": 16,
        "numTestsPassing": 21,
        "numTestsTotal": 46
      }
    ],
    "pageInfo": {
      "hasNextPage": false,
      "hasPreviousPage": false,
      "startCursor": "aXNvMjcwMDFfMjAyMg==",
      "endCursor": "aXNvMjcwMDFfMjAyMg=="
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

Response

200 - application/json

Ok

results
object
required